#include <iostream>
#include <fstream>
#include <string>
using namespace std;

ifstream sol, out;

void invalid_output_format()
{
    cerr << "Невалиден формат на изхода." << endl;
    cout << 0 << endl;
    sol.close();
    out.close();
    exit(0);
}

int main(int argc, char *argv[])
{
    sol.open(argv[2]);
    out.open(argv[3]);

    string line;
    getline(out, line);
    if (!out.good()) invalid_output_format(); // the first line does not end with a new line
    char next;
    out.get(next);
    if (!out.eof()) invalid_output_format(); // the second line is not empty

    string jz, jk, pz, pk;
    sol >> jz >> jk;

    string::size_type split = line.find(" ");
    if (split == string::npos) invalid_output_format(); // the first line does not contain a space
    pz = line.substr(0, split);
    pk = line.substr(split + 1);
    if (pk.find(" ") != string::npos) invalid_output_format(); // the first line contains more than one space

    sol.close();
    out.close();

    double pts = 0;
    if (jk == pk) pts += 0.3;
    if (jz == pz) pts += 0.5;
    if (pts > 0.7) pts = 1.0;

    if (pts < 0.1) cerr << "Грешен отговор." << endl;
    if (pts > 0.1 && pts < 0.4) cerr << "Само броят на ключовете е верен." << endl;
    if (pts > 0.4 && pts < 0.9) cerr << "Само броят на зарядите е верен." << endl;
    if (pts > 0.9) cerr << "Верен отговор." << endl;

    cout << pts << endl;
    return 0;
}
